> ## Documentation Index
> Fetch the complete documentation index at: https://docs.totoy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns the Organization details.



## OpenAPI

````yaml /api-reference/openapi.yaml get /organization
openapi: 3.0.3
info:
  title: Totoy API
  description: >-
    Explain documents in simple, plain or detailed language and create Knowledge
    Bases from your documents in 19 languages.
  termsOfService: https://www.totoy.ai
  contact:
    name: Totoy Support
    email: support@totoy.ai
  license:
    name: MIT
    url: https://raw.githubusercontent.com/totoy-ai/totoy-openapi/main/LICENSE
  version: 1.1.5
servers:
  - url: https://api.totoy.ai/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Explanation
    description: >-
      Given a document in any language, an output language and one of three
      language levels, the assistant will return an `Explanation` for this
      document.
  - name: Knowledge Bases
    description: >-
      Create `Knowledge Bases` from document or text `Sources` and chat with an
      assistant about them in 19 languages.
  - name: Sources
    description: >-
      `Sources` are used to upload documents (.pdf, .jpg or .png) or plain texts
      that can be used with features like `Explanation` or `Knowledge Bases.`
  - name: Projects
    description: '`Projects` are used to group `Knowledge Bases` and `Explanations`.'
  - name: Organization
    description: Get information about your `Organization`.
paths:
  /organization:
    get:
      tags:
        - Organization
      summary: Returns the Organization details.
      operationId: getOrganization
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organization'
              examples:
                organization-example:
                  $ref: '#/components/examples/organization-example'
        4XX:
          $ref: '#/components/responses/general4XXResponse'
        5XX:
          $ref: '#/components/responses/general5XXResponse'
components:
  schemas:
    Organization:
      title: Organization
      description: The `Organization` object represents an organization in the system.
      type: object
      additionalProperties: false
      properties:
        organization_id:
          description: The unique identifier of an `Organization`
          maxLength: 29
          pattern: ^org_[a-zA-Z0-9]{25}$
          type: string
          example: org_sjd823ndpaxy8223ndm0paq53
        name:
          description: The `Organization's` name.
          type: string
          maxLength: 256
          example: Totoy GmbH
        created_at:
          description: Date-time of when the `Organization` was created, in ISO 8601 format
          type: string
          format: date-time
          example: '2023-07-05T12:34:13Z'
        updated_at:
          description: >-
            Date-time of when the `Organization` was last modified, in ISO 8601
            format
          type: string
          format: date-time
          example: '2024-07-05T12:34:13Z'
        limits:
          description: The usage limits of the `Organization`.
          type: object
          properties:
            assistant_messages:
              description: >-
                The limit of `Messages` with the role `assistant` that can be
                generated.
              type: integer
              example: 100000
            document_sources_pages:
              description: The limit of `Document Sources` pages that can be stored.
              type: integer
              example: 50000
            text_sources:
              description: The limit of `Text Sources` that can be stored.
              type: integer
              example: 50000
            projects:
              description: The limit of `Projects` that can be created.
              type: integer
              example: 10
            knowledge_bases:
              description: The limit of `Knowledge Bases` that can be created.
              type: integer
              example: 10
            type:
              description: >-
                Whether the limit is a hard limit, a soft limit, or there is no
                limit at all. Hard limits will block the service if the limit is
                reached. Soft limits are for informational purposes only. None
                means that there is no limit on `Organization` level.
              type: string
              enum:
                - hard
                - soft
                - none
              example: hard
          nullable: true
          example:
            assistant_messages: 100000
            document_sources_pages: 50000
            text_sources: 50000
            projects: 10
            knowledge_bases: 10
            type: hard
        usage:
          description: The usage of the `Organization`.
          type: object
          properties:
            assistant_messages:
              description: >-
                The number of `Messages` with the role `assistant`, used by the
                `Organization` in the current billing period.
              type: object
              properties:
                knowledge_bases_chats:
                  description: >-
                    The number of `Knowledge Base Chat Messages` with the role
                    `assistant`, used by the `Organization` in the current
                    billing period.
                  type: integer
                  example: 13542
                explanations:
                  description: >-
                    The number of `Explanation Messages` with the role
                    `assistant`, used by the `Organization` in the current
                    billing period.
                  type: integer
                  example: 12653
                total:
                  description: >-
                    The total number of `Messages` with the role `assistant`,
                    used by the `Organization` in the current billing period.
                  type: integer
                  example: 26195
            projects:
              description: The number of `Projects` created in the `Organization`.
              type: integer
              example: 7
            knowledge_bases:
              description: The number of `Knowledge Bases` created in the `Organization`.
              type: integer
              example: 7
            text_sources:
              description: The number of `Text Sources` stored in the `Organization`.
              type: integer
              example: 3756
            document_sources_pages:
              description: >-
                The number of `Document Sources` pages stored in the
                `Organization`.
              type: integer
              example: 2534
          example:
            assistant_messages:
              knowledge_bases_chats: 13542
              explanations: 12653
              total: 26195
            projects: 7
            knowledge_bases: 7
            text_sources: 3756
            document_sources_pages: 2534
        status:
          description: Wether the `Organization` is active or suspended.
          type: string
          enum:
            - active
            - suspended
          example: active
          default: active
      required:
        - organization_id
        - name
    Problem:
      title: Problem
      description: A Response Body for HTTP Problem Details in RFC 9457 format.
      type: object
      additionalProperties: false
      properties:
        type:
          description: A URI reference that identifies the problem type.
          type: string
          maxLength: 512
          example: https://docs.totoy.ai/probs/out-of-credit
        title:
          description: A short, human-readable summary of the problem type.
          type: string
          maxLength: 512
          example: You do not have enough credit.
        status:
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          type: integer
          format: int32
          example: 403
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type: string
          maxLength: 4096
          example: You do not have enough credit to perform this operation.
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          type: string
          maxLength: 512
          example: /projects/pj_avX7imfLaPcQnv5ckvGlOEBA9
  examples:
    organization-example:
      summary: Organization Example
      description: An example for an `Organization`.
      value:
        organization_id: org_sjd823ndpaxy8223ndm0paq53
        name: Totoy GmbH
        created_at: '2023-07-05T12:34:13Z'
        updated_at: '2024-07-05T12:34:13Z'
        limits:
          assistant_messages: 100000
          document_sources_pages: 50000
          text_sources: 50000
          projects: 10
          knowledge_bases: 10
          type: hard
        usage:
          assistant_messages:
            knowledge_bases_chats: 13542
            explanations: 12653
            total: 26195
          projects: 7
          knowledge_bases: 7
          text_sources: 3756
          document_sources_pages: 2534
  responses:
    general4XXResponse:
      description: Client Error
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    general5XXResponse:
      description: Server Error
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````